package com.loafle.overflow.module.noauthprobe.service;

import com.loafle.overflow.module.core.annotation.ProbeAPI;
import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.noauthprobe.model.NoAuthProbe;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface NoAuthProbeService {
    @ProbeAPI
    NoAuthProbe regist(NoAuthProbe noAuthProbe);

    @WebappAPI
    List<NoAuthProbe> readAllByDomain(Domain domain);
    @WebappAPI
    List<NoAuthProbe> acceptNoAuthProbe(NoAuthProbe noAuthProbe);
    @WebappAPI
    List<NoAuthProbe> denyNoauthProbe(NoAuthProbe noAuthProbe);
}
