package com.loafle.overflow.module.domain.service;

import java.util.List;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.domain.model.DomainMember;
import com.loafle.overflow.module.member.model.Member;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface DomainMemberService {
  void regist(DomainMember domainMember);
  Domain readDomainByMemberID(long id);
  DomainMember readByMemberEmail(String email);
  List<Member> readAllMemberByDomain(Domain domain);
  List<Member> readAllMemberByDomainID(final long domainID);
}
