package com.loafle.overflow.module.email.service;

import java.io.UnsupportedEncodingException;
import java.util.List;

import com.loafle.overflow.module.email.model.EmailAuth;
import com.loafle.overflow.module.member.model.Member;

/**
 * Created by geek on 17. 6. 28.
 */
public interface EmailAuthService {
  EmailAuth sendEmailByMember(long memberId, String memberEmail) throws UnsupportedEncodingException;
  EmailAuth read(long id);
  EmailAuth readByAuthKey(String authKey) throws UnsupportedEncodingException;
  List<EmailAuth> readByMember(long memberId);
  EmailAuth modify(EmailAuth emailAuth);
  EmailAuth sendEmailResetPassword(Member member) throws UnsupportedEncodingException;
}
